--- old/usr/src/uts/intel/dtrace/fbt.c	2015-04-17 12:29:33.306731753 -0400
+++ new/usr/src/uts/intel/dtrace/fbt.c	2015-04-17 12:29:33.318660683 -0400
@@ -629,6 +629,16 @@
 			goto err;
 		}
 
+		/*
+		 * If the parent module does not have the label we expect,
+		 * ignore it and fail to avoid presenting non-sensical data.
+		 */
+		if (ctf_label_info(pfp, ctf_parent_label(fp),
+		    NULL) == CTF_ERR) {
+			ctf_close(pfp);
+			goto err;
+		}
+
 		if (ctf_import(fp, pfp) != 0) {
 			ctf_close(pfp);
 			goto err;
